List roles
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/roles \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/roles"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"roles": [
{
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"name": "Admin",
"description": "This role applies to the organization admin."
},
{
"id": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e",
"name": "Standard",
"description": "This role applies to all the organization's standard users."
}
],
"pagination": {
"total_records": 2,
"total_pages": 1,
"current_page_number": 1,
"page_size": 30
}
}Roles
List roles
GET
/
roles
List roles
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/roles \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/roles"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"roles": [
{
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"name": "Admin",
"description": "This role applies to the organization admin."
},
{
"id": "2b3c4d5e-6f7a-4b8c-9d0e-1f2a3b4c5d6e",
"name": "Standard",
"description": "This role applies to all the organization's standard users."
}
],
"pagination": {
"total_records": 2,
"total_pages": 1,
"current_page_number": 1,
"page_size": 30
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Page of results to retrieve, starting from 1. When omitted, all results are returned in one response and page_size is ignored.
Number of results per page. Defaults to 30 when omitted.
Response
200 - application/json
OK - Request succeeded